<?php namespace Avans;

class render{


    public static function get_switch($label,$id,$val){
        $output = '
        <tr valign="top">
            <th scope="row">'.$label.'</th>
            <td>     
                <label class="switch">
                    <input type="checkbox" id="'.$id.'" '.$val.' >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>    
            </td>
        </tr>
        ';
        return $output;
    }

    public static function get_score($label,$id,$val){
        $output = '
        <tr>
            <th scope="row">'.$label.'</th>
            <td>
                <input type="number" id="'.$id.'" value="'.$val.'">
                <label>امتیاز</label>
                <p><span class="avans-dot-fansy"></span>مثلا : 2 امتیاز</p>
            </td> 
        </tr>
        ';
        return $output;
    }

    public static function get_delay($id,$val){
        $output = '
        <tr>
            <th scope="row">تاخیر در امتیاز دهی</th>
            <td>
                <input type="number" id="'.$id.'" value="'.$val.'">
                <label>بر حسب ثانیه</label>
                <p><span class="avans-dot-fansy"></span>توضیحات : با این کار می توانید کاربران را تشویق کنید که مدت زمان بیشتری در صفحه بمانند و به بهبود سئو سایت کمک کنند</p>
            </td>
        </tr>
        ';
        return $output;
    }

    public static function get_alert_txt($id,$val){
        $output = '
        <tr valign="top">
            <th scope="row">متن پیام اعلان</th>
            <td>
                <input class="avs-full-input" type="text" id="'.$id.'" placeholder="تبریک شما {score} امتیاز گرفتید!" value="'.$val.'">
                <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
            </td>
        </tr>
        ';
        return $output;
    }


    public static function get_limit_score($val_ID,$value,$unit_ID,$unit){
        $output = '
        <tr valign="top">
            <th scope="row">محدودیت امتیاز گیری</th>
            <td>
                <input type="number" id="'.$val_ID.'" value="'.$value.'">
                <span>امتیاز در</span>
                <select id="'.$unit_ID.'">
                    <option value="day" '.self::option_is_selected($unit,'day').' >روز</option>
                    <option value="week" '.self::option_is_selected($unit,'week').' >هفته</option>
                    <option value="month" '.self::option_is_selected($unit,'month').' >ماه</option>
                    <option value="year" '.self::option_is_selected($unit,'year').' >سال</option>
                </select>
            </td>
        </tr>
        ';
        return $output;
    }


    public static function get_expire_time($val_ID,$value,$unit_ID,$unit){
        $output = '
        <tr valign="top">
            <th scope="row">تاریخ انقضا امتیاز</th>
            <td>
                <input type="number" id="'.$val_ID.'" value="'.$value.'">
                <select id="'.$unit_ID.'">
                    <option value="day" '.self::option_is_selected($unit,'day').' >روز</option>
                    <option value="week" '.self::option_is_selected($unit,'week').' >هفته</option>
                    <option value="month" '.self::option_is_selected($unit,'month').' >ماه</option>
                    <option value="year" '.self::option_is_selected($unit,'year').' >سال</option>
                </select>
                <span>بعد از دریافت امتیاز</span>
            </td>
        </tr>
        ';
        return $output;
    }

    public static function get_condition($id,$val){
        ?>
            <tr valign="top" id="<?php echo $id ?>">
                <th scope="row">منطق شرطی</th>
                <td><?php get_conditions_saved($val) ?></td>
            </tr>
        <?php
    }

    public static function option_is_selected($val,$option){
        if($val == $option){
            return 'selected';
        }
        return;
    }


}
