jQuery(document).ready(function ($) {

    awardhtml =
      '<div class="item"><div class="header"><div class="operation"> <span class="dashicons dashicons-plus-alt2 add"></span> <span class="dashicons dashicons-minus remove"></span></div><div class="title_award_collapps">بدون عنوان</div> <span class="dashicons dashicons-arrow-up-alt2 collapse"></span></div><div class="fields_wrapper"><div class="section_inputs"><div class="label">عنوان جایزه</div> <input type="text" class="title_award"></div><div class="section_inputs"><div class="label">تعداد</div> <input type="number" class="count_award"></div></div></div>';
    $(document).on("click", "#add_prize_to_lottery", function (event) {
        event.preventDefault();
        $(this).before(awardhtml);
    });

    $(document).on(
      "click",
      ".avans_lottery_settings .item>.avs-header",
      function (e) {
        $(this).closest(".item").find(".fields_wrapper").slideToggle(300);
      }
    );
      
    $(document).on(
      "click",
      ".avans_lottery_settings .item .operation .remove",
      function (e) {
        $(this).closest(".item").remove();
        e.stopPropagation();
      }
    );

    $(document).on(
      "click",
      ".avans_lottery_settings .item .operation .add",
      function (e) {
        $(this).closest(".item").before(awardhtml);
        e.stopPropagation();
      }
    );

     $(document).on(
       "keyup change",
       ".fields_wrapper .title_award",
       function (e) {
         $(this)
           .closest(".item")
           .find(".avs-header>.title_award_collapps")
           .text($(this).val());
       }
    );
    

    
  function get_list_award(el) {
    var awards = [];
    $(".avans_lottery_settings")
      .find(".item")
      .each(function (index) {
        var award = {
          index: index,
          name: $(this).find(".title_award").val(),
          count: $(this).find(".count_award").val(),
        };
        awards.push(award);
      });
    return awards;
    }
    
    $(document).one(
      "click",
      "div#major-publishing-actions #publish",
      function (e) {
        e.preventDefault();
        $("#avans_lottery_settings_all").val(
          JSON.stringify(get_list_award())
        );
        // console.log(JSON.stringify(get_list_award()));
        $(this).trigger("click");
      }
    );
    
});