jQuery(document).ready(function ($) {
  var typeGift = $("#avans_type_gift").val();
  var options = "." + typeGift + "-options";
  $(options).addClass("select");
  $(".options .select").show(100);
  $(".options .item").not(".select").hide(100);
  $("#avans_type_gift").change(function () {
    var typeGift = $("#avans_type_gift").val();
    var options = "." + typeGift + "-options";
    $(".options .select").hide(100);
    $(".options .item").removeClass("select");
    $(options).addClass("select");
    $(".options .select").show(100);
  });
  
  $("#download_file_link_for_gift").val(JSON.stringify(data.files));

  if ($("input[name=avans_type_coupon_gift]:checked").val() == "percent") {
    $("#label_coupon_value_type").text("درصدی");
  } else {
    $("#label_coupon_value_type").text("واحد پرداخت");
  }

  $("input[name=avans_type_coupon_gift]").change(function () {
    if ($("input[name=avans_type_coupon_gift]:checked").val() == "percent") {
      $("#label_coupon_value_type").text("درصدی");
    } else {
      $("#label_coupon_value_type").text("واحد پرداخت");
    }
  });

  var select_product_for_gift = [];
  jQuery.each(data.select_product_for_gift, function (i, v) {
    // console.log(v.id);
    var item = {
      id: v.id,
      text: v.name,
      selected: true,
    }
    select_product_for_gift.push(item);
  });

  var limited_custom_product_for_copon = [];
  jQuery.each(data.limited_custom_product_for_copon, function (i, v) {
    // console.log(v.id);
    var item = {
      id: v.id,
      text: v.name,
      selected: true,
    }
    limited_custom_product_for_copon.push(item);
  });

  var exclude_custom_product_for_copon = [];
  jQuery.each(data.exclude_custom_product_for_copon, function (i, v) {
    // console.log(v.id);
    var item = {
      id: v.id,
      text: v.name,
      selected: true,
    }
    exclude_custom_product_for_copon.push(item);
  });

  var limited_custom_category_for_copon = [];
  jQuery.each(data.limited_custom_category_for_copon, function (i, v) {
    // console.log(v.id);
    var item = {
      id: v.id,
      text: v.name,
      selected: true,
    }
    limited_custom_category_for_copon.push(item);
  });

  var exclude_custom_category_for_copon = [];
  jQuery.each(data.exclude_custom_category_for_copon, function (i, v) {
    // console.log(v.id);
    var item = {
      id: v.id,
      text: v.name,
      selected: true,
    }
    exclude_custom_category_for_copon.push(item);
  });


  $("#avans_type_gift").select2();
  $("#select_product_for_gift").select2({
    data: select_product_for_gift,
    ajax: {
      url: data.ajax_url, // AJAX URL is predefined in WordPress admin
      dataType: "json",
      delay: 250,
      data: function (params) {
        return {
          q: params.term,
          action: "avans_serach_product",
        };
      },
      processResults: function (data) {
        var options = [];
        if (data) {
          // data is the array of arrays, and each of them contains ID and the Label of the option
          $.each(data, function (index, text) {
            // do not forget that "index" is just auto incremented value
            options.push({ id: text[0], text: text[1] });
          });
        }
        return {
          results: options,
        };
      },
      cache: true,
    },
    minimumInputLength: 3,
    language: {
      inputTooShort: function () {
        return "حداقل سه حرف اول نام محصول را وارد نمایید...";
      },
      searching: function () {
        return "در حال جستجو...";
      },
    },
  });

  $("#limited_custom_product_for_copon").select2({
    data: limited_custom_product_for_copon,
    ajax: {
      url: data.ajax_url, // AJAX URL is predefined in WordPress admin
      dataType: "json",
      delay: 250,
      data: function (params) {
        return {
          q: params.term,
          action: "avans_serach_product",
        };
      },
      processResults: function (data) {
        var options = [];
        if (data) {
          // data is the array of arrays, and each of them contains ID and the Label of the option
          $.each(data, function (index, text) {
            // do not forget that "index" is just auto incremented value
            options.push({ id: text[0], text: text[1] });
          });
        }
        return {
          results: options,
        };
      },
      cache: true,
    },
    minimumInputLength: 3,
    language: {
      inputTooShort: function () {
        return "حداقل سه حرف اول نام محصول را وارد نمایید...";
      },
      searching: function () {
        return "در حال جستجو...";
      },
    },
  });

  $("#exclude_custom_product_for_copon").select2({
    data: exclude_custom_product_for_copon,
    ajax: {
      url: data.ajax_url, // AJAX URL is predefined in WordPress admin
      dataType: "json",
      delay: 250,
      data: function (params) {
        return {
          q: params.term,
          action: "avans_serach_product",
        };
      },
      processResults: function (data) {
        var options = [];
        if (data) {
          // data is the array of arrays, and each of them contains ID and the Label of the option
          $.each(data, function (index, text) {
            // do not forget that "index" is just auto incremented value
            options.push({ id: text[0], text: text[1] });
          });
        }
        return {
          results: options,
        };
      },
      cache: true,
    },
    minimumInputLength: 3,
    language: {
      inputTooShort: function () {
        return "حداقل سه حرف اول نام محصول را وارد نمایید...";
      },
      searching: function () {
        return "در حال جستجو...";
      },
    },
  });
  
  $("#limited_custom_category_for_copon").select2({
    data: limited_custom_category_for_copon,
    ajax: {
      url: data.ajax_url, // AJAX URL is predefined in WordPress admin
      dataType: "json",
      delay: 250,
      data: function (params) {
        return {
          q: params.term,
          action: "avans_serach_category",
        };
      },
      processResults: function (data) {
        var options = [];
        if (data) {
          // data is the array of arrays, and each of them contains ID and the Label of the option
          $.each(data, function (index, text) {
            // do not forget that "index" is just auto incremented value
            options.push({ id: text[0], text: text[1] });
          });
        }
        return {
          results: options,
        };
      },
      cache: true,
    },
    minimumInputLength: 3,
    language: {
      inputTooShort: function () {
        return "حداقل سه حرف اول نام دسته بندی را وارد نمایید...";
      },
      searching: function () {
        return "در حال جستجو...";
      },
    },
  });

  $("#exclude_custom_category_for_copon").select2({
    data: exclude_custom_category_for_copon,
    ajax: {
      url: data.ajax_url, // AJAX URL is predefined in WordPress admin
      dataType: "json",
      delay: 250,
      data: function (params) {
        return {
          q: params.term,
          action: "avans_serach_category",
        };
      },
      processResults: function (data) {
        var options = [];
        if (data) {
          // data is the array of arrays, and each of them contains ID and the Label of the option
          $.each(data, function (index, text) {
            // do not forget that "index" is just auto incremented value
            options.push({ id: text[0], text: text[1] });
          });
        }
        return {
          results: options,
        };
      },
      cache: true,
    },
    minimumInputLength: 3,
    language: {
      inputTooShort: function () {
        return "حداقل سه حرف اول نام دسته بندی را وارد نمایید...";
      },
      searching: function () {
        return "در حال جستجو...";
      },
    },
  });

  $(document).on("click", "#avans_add_url_file_gifts", function (e) {
    e.preventDefault();
    $(this).before(
      '<div class="files"><input type="text" class="download_file_name" value="" placeholder="عنوان فایل را وارد نمایید..."><input type="text" class="download_file_link" value="" placeholder="آدرس فایل را وارد نمایید..."><button class="file_picker">انتخاب فایل</button><div class="operation"><span class="dashicons dashicons-plus-alt2"></span><span class="dashicons dashicons-minus"></span></div></div>'
    );
  });

  $(document).on(
    "click",
    "table.file-options .files .operation .dashicons-plus-alt2",
    function (e) {
      e.preventDefault();
      $(this)
        .closest(".files")
        .after(
          '<div class="files"><input type="text" class="download_file_name" value="" placeholder="عنوان فایل را وارد نمایید..."><input type="text" class="download_file_link" value="" placeholder="آدرس فایل را وارد نمایید..."><button class="file_picker">انتخاب فایل</button><div class="operation"><span class="dashicons dashicons-plus-alt2"></span><span class="dashicons dashicons-minus"></span></div></div>'
        );
      $("#download_file_link_for_gift").val(
        JSON.stringify(get_list_files())
      );
    }
  );

  $(document).on(
    "click",
    "table.file-options .files .operation .dashicons-minus",
    function (e) {
      e.preventDefault();
      $(this).closest(".files").remove();
      $("#download_file_link_for_gift").val(
        JSON.stringify(get_list_files())
      );
    }
  );

  $(document).on("click", ".wrapper_score_wp .file_picker", function (event) {
    var frame;
    var file_link_input = $(this).closest(".files").find(".download_file_link");
    event.preventDefault();

    if (frame) {
      frame.open();
      return;
    }

    frame = wp.media({
      title: "فایل مورد نظر را انتخاب نمایید.",
      button: {
        text: "انتخاب فایل هدیه",
      },
      multiple: false,
    });

    frame.on("select", function () {
      var attachment = frame.state().get("selection").first().toJSON();
      
      file_link_input.val(attachment.url);
      $("#download_file_link_for_gift").val(
        JSON.stringify(get_list_files())
      );
      // imgIdInput.val(attachment.id);
    });

    frame.open();
  });

  $(document).on("change", ".download_file_name", function () {
    $("#download_file_link_for_gift").val(JSON.stringify(get_list_files()));
  });

  $(document).on("change", ".download_file_link", function () {
    $("#download_file_link_for_gift").val(JSON.stringify(get_list_files()));
  });

  function get_list_files() {
      var files = [];
      $(".wrapper_score_wp .files").each(function (index) {
        var file = {
          index: index,
          name: $(this).find(".download_file_name").val(),
          url: $(this).find(".download_file_link").val(),
        };
        files.push(file);
      });
      return files;
  }


});