<?php
// <======= بعد از ارسال کوپن تخفیف یکبار مصرف ======>
/* 
$phone شماره موبایل کاربر
$vars_or_text متغییر های پاس داده شده برای ارسال با پترن
$pattern پترن کد
$coupon_code کد تخفیف 
*/
add_action("avans_after_send_coupon",function($phone,$vars_or_text,$pattern,$coupon_code){
    // code
});


// <======= تغییر امتیاز کاربر ======>
/* 
$type  ==> نوع فعالیت
$score ==> امتیاز که به صورت منفی (کاهش) یا مثبت (افزایش) می تواند باشد
$total ==> مجموع امتیازات معتبر کاربر بعد از تغییر
*/
add_action("avans_after_change_score",function($type,$score,$total){
    // $type :انواع فعالیت در آوانس 
    // lms_course_complete ====> تکمیل یک دوره lms (+)
    // lms_lesson_complete ====> تکمیل درس یک دوره lms (+)
    // lms_quiz_passed     ====> قبولی در امتحان lms (+)
    // comment             ====> پذیرفته شدن کامنت (+)
    // wc_order            ====> خرید (+)
    // wc_order_cancelled  ====> کنسلی خرید (-)
    // submit_gform        ====> پر کردن فرم گرویتی (+)
    // post-rating         ====> امتیاز ستاره ای دادن به یک پست (+)
    // import_form_plugins ====> وارد کردن امتیاز از سایر افزونه های گیمیفیکیشن  (+)
    // convert-wallet      ====> تبدیل امتیاز به شارژ کیف پول (+)
    // gifts               ====> خرج امتیاز برای کسب جایزه (-)
    // spin-wheel          ====> چرخوندن گردونه شانس (-)
    // spin_wheel_score    ====> دریافت جایزه امتیازی گردونه شانس (+)
    // lottery             ====> رزرو بلیط قرعه کشی (-)
    // complete-profile    ====> تکمیل پروفایل کاربری (+)
    // wc_referer          ====> دریافت امتیاز بازریابی (+)
    // admin               ====> امتیاز اهدا شده یا کسر شده از طرف مدیریت (-)(+)
    // 'view-'.$post_type  ====> امتیاز مشاهده صفحه یک پست تایپ (+) ==> post type valid : 'post','page','product','course'
    // daily-visit         ====> بازدید روزانه (+)
    // share-link          ====> مشاهده سایت با لینک معرف (+)
    // view-video          ====> مشاهده یک ویدئو (+)
    // view-sound          ====> گوش کردن یه یک پادکست (+)
    // birthday            ====> امتیاز هدیه سالگرد تولد (+)
    // publish-post        ====> امتیاز انتشار یک نوشته در وردپرس (+)
    // publish-product     ====> امتیاز انتشار یک محصول در وردپرس (+)
    // registerday         ====> امتیاز سالگرد عضویت (+)
    // register            ====> عضویت در سایت  (+)
    // ref-register        ====>  عضویت کاربر جدید با کد معرف --امتیاز برای معرف ثبت میشه  (+)
});


// <======= بعد از دریافت جایزه ======>
/* 
$gift_id       ===> آی دی جایزه یا هدیه => wordpress post type => get_the_title() and other function is corrected
$arg   (array) ===> جزئیات جایزه دریافت شده 
*/
add_action("avans_after_get_prize",function($gift_id,$arg){
    // code
});


// <======= بعد از تبدیل امتیازات به شارژ کیف پول ======>
/* 
$amount   ===> مبلغ شارژ شده در کیف پول بر حسب واحد ووکامرس
$score    ===> امتیاز کاهش پیدا کرده برای این تبدیل 
*/
add_action("avans_after_convert_to_wallet",function($amount, $score){
    // code
});


// <======= بعد از چرخاندن گردونه شانس ======>
/* 
$wheel_id         ===> آی دی گردونه شانس => wordpress post type => get_the_title() and other function is corrected
$score            ===> امتیاز کاهش پیدا کرده برای چرخاندن گردونه     
$result   (array) ===> نتیجه چرخش گردونه  ==> اطلاعات جایزه
*/
add_action("avans_after_spin_wheel_rotated",function($wheel_id, $score ,$result){
    // code
});


// <======= بعد از دریافت شانس قرعه کشی ، رزرو قرعه کشی ======>
/* 
$lottey_id         ===> آی دی قرعه کشی => wordpress post type => get_the_title() and other function is corrected
$score             ===> امتیاز کاهش پیدا کرده برای دریافت شانس قرعه کشی     
$chance            ===> تعداد شانس اکتسابی
$total_chance      ===> نتیجه چرخش گردونه  ==> اطلاعات جایزه
*/
add_action("avans_after_get_lottery_tickets",function($lottey_id,$score,$chance ,$total_chance){
    // code
});



// <======= بعد از دریافت نشان خاص ======>
/* 
$badge_id           ===> آی دی نشان کسب شده' => wordpress post type => get_the_title() and other function is corrected
$badges     (array) ===> آرایه ای از آی دی نشان های کسب شده   
*/
add_action("avans_after_badge_getted",function($badge_id,$badges){
    // code
});


// <======= بعد از برگزاری قرعه کشی و اعلام برندگان ======>
/* 
$lottery_id           ===> آی دی قرعه کشی انجام شده => wordpress post type => get_the_title() and other function is corrected
$winners      (array) ===> آی دی کاربری ، برندگان قرعه کشی به همراه جایزه برنده شده
*/
add_action("avans_after_run_lottery",function($lottery_id,$winners){
    // code
    foreach ($winners as $winner){
        // $winner['user'];  user_id
        // $winner['prize'];  prize title
    }

});



// <======= بعد از اعمال پورسانت بازاریاب  ======>

/*
$data array  
*/

add_action("avans_after_applied_commision_referer",function($data){
  /*   
    $data['ref_id']      ==> (معرف) آی دی کاربر
    $data['user_id']     ==> آی دی خریدار (معرفی شده)
    $data['order_id']    ==> شناسه سفارش ووکامرس
    $data['amount']      ==> مبلغ شارژ کیف پول یا میزان امتیاز پورسانت داده شده
    $data['type']        ==> "wc_score" (score type) || "wc_wallet" (wallet type)
*/
});


// <======= بعد از استفاده شدن از کد معرف کاربر در سفارش توسط مشتری  ======>

/*
$referer_id  ===> آی دی معرف 
$customer_id  ===> آی دی خریدار 
$order_id  ===> آی دی سفارش 
*/
add_action("avans_after_referer_code_used_in_order",function($referer_id,$customer_id,$order_id){

});


// <======= بعد از مشاهده صفحه یک پست تایپ  ======>
/*
$user_id  ===> شناسه کاربر 
$post_id  ===> شناسه مطلب
*/
add_action('avans_after_view_post_type',function($user_id,$post_id){

});

// <======= بعد از مشاهده کاربران دعوت شده به یک صفحه با لینک اشتراک گذاری  ======>
/*
$user     ===> آبجکت کاربر
$post_id  ===> شناسه مطلب
*/
add_action('avans_after_share_post',function($user,$post_id){

});

// <======= بعد از مشاهده یک ویدئو  ======>
/*
$user                   ===> آبجکت کاربر
$player_id              ===> شناسه ویدئو در صفحه
$video_viewed (array )  ===> ویدئوهایی دیده شده
$post_id                ===> شناسه مطلب (مطلبی که ویدئو داخلش قرار گرفته)
*/
add_action('avans_after_view_video',function($user,$player_id,$video_viewed,$post_id){

});


// <======= بعد از گوش دادن به یک پادکست   ======>
/*
$user                   ===> آبجکت کاربر
$player_id              ===> شناسه پادکست در صفحه
$sound_viewed (array )  ===> پادکست های شنیده شده
$post_id                ===> شناسه مطلب (مطلبی که پادکست داخلش قرار گرفته)
*/
add_action('avans_after_listen_podcasts',function($user,$player_id,$sound_listened,$post_id){

});


// <======= فرارسیدن سالگرد تولد یک کاربر ======>

/*
$user                   ===> آبجکت کاربر
*/
add_action('avans_birthday_user',function($user){

});

// <======= فرارسیدن سالگرد عضویت یک کاربر ======>
/*
$user                   ===> آبجکت کاربر
*/
add_action('avans_after_anniversary_membership',function($user){

});


// <======= بعد از اهدا امتیاز معرفی ثبت نام ======>
/*
$user              ===> آبجکت معرف
$user              ===> آبجکت گاربر ثبت نام شده
$usersRefs (array) ===> آی دی کاربران دعوت شده توسط این معرف
*/
add_action('avans_after_referer_code_used_for_register',function($referer, $user, $usersRefs){

});