<?php
if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
add_action('avans_send_sms', 'avans_send_sms_coupon_by_service', 10, 3);
function avans_send_sms_coupon_by_service($mobile,$message,$pattern)
{
    $settings = AVANS_SETTINGS['general_settings']['sms'];
    $service = $settings['service'];

    if (!is_null($service) && !empty($service)) {
        if (file_exists(AVANS_PATH.'includes/admin/sms/services/'.$service.'/sms.php')) {
            include (AVANS_PATH.'includes/admin/sms/services/'.$service.'/sms.php');
        }
    }
}

add_action('avans_sms_service_form', 'avans_sms_service_form_add_forms', 10, 1);
function avans_sms_service_form_add_forms($settings)
{
    $services = scandir(AVANS_PATH.'includes/admin/sms/services');
    unset($services[array_search('.', $services, true)]);
    unset($services[array_search('..', $services, true)]);

    foreach ($services as $service) {
        if (file_exists(AVANS_PATH.'includes/admin/sms/services/'.$service.'/settings.php')) {
            include_once(AVANS_PATH.'includes/admin/sms/services/'.$service.'/settings.php');
        }
    }
}
