<?php

use Avans\data;
use Avans\parts\referer;
use Avans\user;

$log = referer::get_log_order($post->ID);
    if (!is_object($log)) {
        return;
    }
    $userData = user::get_user_info($log->ref_id);
    $unit = ($log->type == 'wc_wallet') ? data::get_payment_unit() : 'امتیاز';
    ?>
    <div class="avans_order_referer">
        <div class="title">معرف سفارش</div>
        <div class="box">
            <div class="avatar">
                <img class="avatar_image" src="<?php echo $userData->avatar; ?>" width="64" height="64">
            </div>
            <div class="details">
                <p class="fullname"><?php echo $userData->display_name; ?></p>
                <p class="username"><a href="<?php echo get_edit_user_link($log->ref_id) ?>" target="_blank"><?php echo '@'.$userData->username; ?><span class="dashicons dashicons-external"></span></a></p>
            </div>
            <div class="commision">
                <div class="value">
                    <span>سهم معرف</span>
                    <?php echo $log->amount .''.$unit ?>
                </div>
                <?php if ($log->status == 'processing'): ?>
                    <div class="apply_approve" ><button data-ajax="<?php echo admin_url('admin-ajax.php'); ?>" data-avans="<?php echo htmlspecialchars(json_encode($log), ENT_QUOTES, 'UTF-8') ?>" class="button button_apply_ref_commision" >اعمال پورسانت معرف</button></div>
                <?php endif; ?>
            </div>
        </div>
    </div>