<div class="main">
<?php

use Avans\actions;
use Avans\data;
use Avans\func;

include AVANS_PATH.'templates/admin/settings/gifts-log/parts/main/header.php' ?>
    <div class="main">   
        <?php $ajaxUrl =  admin_url('admin-ajax.php'); ?>     
        <?php foreach((array)$logs['result'] as $log): 
            $user = get_user_by('ID', $log->user);
            ?>
            <div class="row">
                <div class="item id"><?php echo $log->id ?></div>
                <div class="item user">
                    <div class="username"><?php echo $user->user_login ?></div>
                    <div class="fullname"><?php echo $user->display_name ?></div>  
                </div>
                <div class="item title">
                    <?php if($log->gift < 0):
                        echo actions::get_coupon_sms_name_for_gift_list($log->gift);
                    else:
                        echo get_the_title( $log->gift );
                    endif; ?>
                </div>
                <div class="item type">
                    <?php
                    if($log->gift > 0){
                        $postType = get_post_type($log->gift);
                        echo data::get_type_gifts(json_encode($log->content))['title'];
                    }else{
                        echo "کد تخفیف";
                    }
                    ?>
                </div>
                <div class="item time">
                    <?php  echo get_option('timezone_string') == 'Asia/Tehran' ? avans_date('Y/m/d h:i:s', strtotime($log->create_at), '', 'GMT') :  date('Y/m/d h:i:s' , strtotime($log->create_at)) ?>
                </div>
                <div class="item actions" >
                    <button data-time="<?php echo strtotime($log->create_at)  ?>" data-content="<?php echo htmlspecialchars(json_encode(unserialize($log->content)), ENT_QUOTES, 'UTF-8') ?>" data-ajax="<?php echo $ajaxUrl; ?>" data-id="<?php echo $log->gift; ?>" class="button get_content_prize">مشاهده محتوای جایزه</button>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php include AVANS_PATH.'templates/admin/settings/gifts-log/parts/main/footer.php' ?>
</div>

<div class="avs-footer">
    <?php $data = $logs;
    include_once AVANS_PATH.'templates/generals/pagination.php'; 
    ?>
</div>


<div id="avans_popup_admin_content_gift" style="display: none;">
    <div class="avans_body_alert">
        <div class="avans_title_alert">
            <span class="dashicons dashicons-dismiss close"></span>
            <h4>محتوای جایزه</h4>
        </div>
        <div class="avs-content"></div>
    </div>
</div>