<?php 
    $general_settings = $data['general_settings'];
    $sms_settings = $general_settings['sms'];
    $notif_settings = $general_settings['notification'];
    $permision_settings = $general_settings['permision'];
    $score_options =  $general_settings['score'];

    $permision_users = [];
    foreach ((array)$permision_settings['users'] as $user_id) {
        $user = get_user_by('ID',$user_id);
        $item = [
            'id' => $user->ID,
            'name' => ($user->display_name.'::'.$user->user_login),
        ];
        $permision_users[] = $item;
    }

    $permision_roles = [];
    foreach ((array)$permision_settings['roles'] as $role) {
        $item = [
            'id' => $role,
            'name' => translate_user_role($role),
        ];
        $permision_roles[] = $item;
    }


?>

<table class="form-table">
    <h3>تنظیمات سامانه پیامکی</h3>
    <tr valign="top">
        <th scope="row">انتخاب سامانه پیامکی</th>
        <td>
        
            <div class="avans_wrapper_field small">
                <select class="target" id="score_select_sms_type" name="score_select_sms_type">                    
                    <option value="ippanel" <?php echo (!isset($sms_settings['service']) || $sms_settings['service']=='ippanel') ? 'selected' : ''; ?> >آی پی پنل - ippanel.com</option>
                    <option value="farazsms" <?php echo ($sms_settings['service']=='farazsms') ? 'selected' : ''; ?> >فراز اس ام اس - farazsms.com</option>
                    <option value="maxsms" <?php echo ($sms_settings['service']=='maxsms') ? 'selected' : ''; ?> >مکس اس ام اس - max-sms.ir</option>
                    <option value="popupsms" <?php echo ($sms_settings['service']=='popupsms') ? 'selected' : ''; ?> >پاپ آپ اس ام اس - popupsms.ir</option>
                    <option value="melipayamak" <?php echo ($sms_settings['service']=='melipayamak') ? 'selected' : ''; ?> >ملی پیامک - melipayamak.com</option>
                    <option value="kavenegar" <?php echo ($sms_settings['service']=='kavenegar') ? 'selected' : ''; ?> >کاوه نگار - kavenegar.com</option>
                    <option value="niazpardaz" <?php echo ($sms_settings['service']=='niazpardaz') ? 'selected' : ''; ?>>نیاز پرداز - niazpardaz-sms.com</option>
                    <option value="parsgreen" <?php echo ($sms_settings['service']=='parsgreen') ? 'selected' : ''; ?>>پارس گرین - parsgreen.com</option>
                    <option value="raygansms" <?php echo ($sms_settings['service']=='raygansms') ? 'selected' : ''; ?>>رایگان اس ام اس - raygansms.com</option>
                    <option value="sunway" <?php echo ($sms_settings['service']=='sunway') ? 'selected' : ''; ?>>راه آفتاب - sunwaysms.com</option>
                    <option value="rangine" <?php echo ($sms_settings['service']=='rangine') ? 'selected' : ''; ?>>رنگینه - rangine.ir</option>
                    <option value="smsir" <?php echo ($sms_settings['service']=='smsir') ? 'selected' : ''; ?>>ایده پردازان - sms.ir</option>
                    <option value="niksms" <?php echo ($sms_settings['service']=='niksms') ? 'selected' : ''; ?>>نیک اس ام اس - niksms.com</option>
                    <option value="digitopsms" <?php echo ($sms_settings['service']=='digitopsms') ? 'selected' : ''; ?>>دیجی تاپ اس ام اس - digitop-sms.ir</option>
                    <option value="ghasedak" <?php echo ($sms_settings['service']=='ghasedak') ? 'selected' : ''; ?>>قاصدک - ghasedak.com</option>
                    <option value="asanak" <?php echo ($sms_settings['service']=='asanak') ? 'selected' : ''; ?>>آسانک - asanak.com</option>
                    <option value="novinsaba" <?php echo ($sms_settings['service']=='novinsaba') ? 'selected' : ''; ?>>نوین صبا - sabanovin.com</option>
                    <?php do_action('avans_sms_service_list', $sms_settings); ?>
                </select>
            </div>
        </td>
    </tr>
</table>
<div class="sms-panels">
    <?php do_action('avans_sms_service_form', $sms_settings ) ?>
</div>

<hr>
<table class="form-table">
    <h3>تنظیمات ظاهر و متن امتیاز</h3>
    <tr>
        <th scope="row">آیکون امتیاز</th>
        <td>
            <div class="avans_wrapper_field medium avans_select_file_inputs">
                <input type="text" id="value-score-icon" value="<?php echo isset($score_options['icon']) ? $score_options['icon'] : '' ?>">
                <button class="button avans-pick-score-icon">انتخاب آیکون دلخواه</button>
            </div>
        </td> 
    </tr>

     <tr>
        <th scope="row">معادل کلمه امتیاز</th>
        <td>
            <div class="avans_wrapper_field small">
                <input type="text" placeholder="مثلا الماس ، کارما ، ستاره و..." id="custom_score_label" value="<?php echo isset($score_options['label']) ? $score_options['label'] : '' ?>">
            </div>
        </td> 
    </tr>

</table>
<hr>
<table class="form-table">
    <h3>تنظیمات پیام اعلان امتیاز</h3>
    <tr>
        <th scope="row">موقعیت</th>
        <td>
            <div class="avans_wrapper_field small">
                <select id="avans_position_notification">
                    <option value="top-right" <?php echo $notif_settings['position'] == 'top-right' ? 'selected' : '' ?> >بالا راست</option>
                    <option value="top-left" <?php echo $notif_settings['position'] == 'top-left' ? 'selected' : '' ?> >بالا چپ</option>
                    <option value="bottom-right" <?php echo $notif_settings['position'] == 'bottom-right' ? 'selected' : '' ?> >پایین راست</option>
                    <option value="bottom-left" <?php echo $notif_settings['position'] == 'bottom-left' ? 'selected' : '' ?> >پایین چپ</option>
                </select>
            </div>
        </td> 
    </tr>

    <tr>
        <th scope="row">مدت زمان نمایش پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field very-small  avans_select_file_inputs">
                <input type="number" id="time-show-notifer" value="<?php echo $notif_settings['time'] ?>">
                <span class="avans-unit-time">ثانیه</span>
            </div>
        </td> 
    </tr>


    <tr>
        <th scope="row">صدای پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field medium avans_select_file_inputs">
                <input type="text" id="value-sound-notifer" value="<?php echo $notif_settings['sound'] ?>">
                <button class="button avans-pick-sound-notifer">انتخاب فایل صوتی دلخواه</button>
            </div>
        </td> 
    </tr>

    <tr>
        <th scope="row">آیکون پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field medium  avans_select_file_inputs">
                <input type="text" id="value-icon-notifer" value="<?php echo $notif_settings['icon'] ?>">
                <button class="button avans-pick-icon-notifer">انتخاب آیکون دلخواه</button>
            </div>
        </td> 
    </tr>

    <tr>
        <th scope="row">پس زمینه پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field medium  avans_select_file_inputs" >
                <input type="text" id="bg-wrapper-notifer" value="<?php echo $notif_settings['background'] ?>">
            </div>
        </td> 
    </tr>

    <tr>
        <th scope="row">رنگ متن پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field medium  avans_select_file_inputs">
                <input type="text" id="bg-text-notifer" value="<?php echo $notif_settings['text_color'] ?>">
            </div>
        </td> 
    </tr>

    <tr>
        <th scope="row">رنگ خط زمانی پیام اعلان</th>
        <td>
            <div class="avans_wrapper_field medium  avans_select_file_inputs">
                <input type="text" id="bg-border-notifer" value="<?php echo $notif_settings['border_color'] ?>">
            </div>
        </td> 
    </tr>

</table>

<hr>

<table class="form-table">
    <h3>شیوه کسر امتیاز در تبدیل امتیاز ها به کیف پول ، گردونه شانس ، جوایز</h3>
    <p>کاربران دارای یک امتیاز کل و یک امتیاز معتبر هستند:</p>
    <p>امتیاز کل(ملاک رتبه بندی و سطح بندی کاربران) = مجموع تمام امتیازات فعالیت های کاربر </p>
    <p>امتیاز معتبر(ملاک برای تبدیل امتیازها) = مجموع تمام امتیازات کاربر - امتیازات تاریخ انتقضا گذشته </p>
    <p>به صورت پیشفرض بعد از تبدیل ها امتیاز کل کاربر کسر شود و سطح کاربری افراد هم کاسته می شود. بنابراین اگر مایل هستید کاربران بعد از تبدیل امتیازهایشان ، افت رتبه و سطح کاربری نداشته باشند می توانید گزینه ثابت را در تنظیمات زیر انتخاب کنید</p>
    <tr valign="top">
        <th scope="row">وضعیت امتیاز کل بعد از تبدیل</th>
        <td>
            <input type="radio" name="status_main_score_after_convert" value="decrease" <?php echo ( (isset($general_settings['decrease_method']) && ($general_settings['decrease_method']=='decrease') || empty($general_settings['decrease_method'])) ) ? 'checked' : '' ?> > 
            <label>کسر شود</label>  
            <input type="radio" name="status_main_score_after_convert" value="static" <?php echo (isset($general_settings['decrease_method']) && $general_settings['decrease_method']=='static' ) ? 'checked' : '' ?>>
            <label>ثابت باقی بماند</label>
        </td>
    </tr>
</table>

<hr>

<table class="form-table" id="avans_not_permision_user_and_role_select">
    <h3>کاربران محروم از امتیازدهی</h3>
    <tr>
        <th scope="row">کاربران محروم</th>
        <td>
            <label class="user">
                <select class="avans_search_user_select" data-placeholder="جستجو در بین کاربران..." multiple="multiple" data-avans="<?php echo htmlspecialchars(json_encode($permision_users), ENT_QUOTES, 'UTF-8') ?>"></select>
            </label>
        </td> 
    </tr>
    <tr>
        <th scope="row">نقش های کاربری محروم</th>
        <td>
            <label class="user">
                <select class="avans_search_rol_select" data-placeholder="جستجو در بین نقش ها..."  multiple="multiple" data-avans="<?php echo htmlspecialchars(json_encode($permision_roles), ENT_QUOTES, 'UTF-8') ?>" >
                    <?php
                    global $wp_roles;
                    $roles = apply_filters('editable_roles', $wp_roles->roles);
                    foreach ($roles as $index=>$rol) {
                        ?>
                        <option value="<?php echo $index ?>"  ><?php echo translate_user_role($rol['name']) ?></option>
                        <?php
                    }
                    ?>
                </select>
            </label>
        </td> 
    </tr>
</table>