<?php $avs_comment = $data['score_settings']['comment']; ?>
<table class="form-table">
        <h3 class="title">امتیاز نظرات</h3>
        <tr valign="top">
            <th scope="row">فعال بودن امتیازدهی نظرات</th>

            <td> 
                <label class="switch">
                    <input type="checkbox" id="is_active_score_comments" <?php echo $avs_comment['active'] ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>         
            </td>
        </tr>

        <tr>
                <th scope="row">امتیاز به ازای پذیرش هر نظر</th>
                <td>
                    <input type="number" id="value_score_add_comment"  value="<?php echo isset($avs_comment['score'])? $avs_comment['score'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 2 امتیاز</p>
                </td> 
        </tr>

        <tr>
                <th scope="row">امتیاز به ازای پذیرش نظر خریدار محصول</th>
                <td>
                    <input type="number" id="value_score_add_comment_by_purchaser"  value="<?php echo isset($avs_comment['score_wc'])? $avs_comment['score_wc'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 50 امتیاز</p>
                </td> 
        </tr>

        <tr>
            <th scope="row">اعمال امتیاز فقط به کامنت اول کاربر در هر پست</th>
            <td> 
                <label class="switch">
                    <input type="checkbox" id="is_active_once_comment" <?php echo (isset($avs_comment['once_comment']) && $avs_comment['once_comment']) ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>         
            </td>
        </tr>
   

        <tr valign="top">
            <th scope="row">محدودیت امتیاز گیری</th>
            <td>
                <input type="number" id="value_max_scorring_for_comments" value="<?php echo isset($avs_comment['limit']['value']) ? $avs_comment['limit']['value'] : '' ?>">
                <span>امتیاز در</span>
                <select id="unit_max_scorring_for_comments">
                    <option value="day" <?php echo $avs_comment['limit']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_comment['limit']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_comment['limit']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_comment['limit']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
            </td>
        </tr>

        
        <tr valign="top">
            <th scope="row">تاریخ انقضا امتیاز</th>
            <td>
                <input type="number" id="value_expire_score_for_comments" value="<?php echo isset($avs_comment['expire']['value']) ? $avs_comment['expire']['value'] : '' ?>">
                <select id="unit_expire_score_for_comments">
                    <option value="day" <?php echo $avs_comment['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_comment['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_comment['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_comment['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
                <span>بعد از دریافت امتیاز</span>
            </td>
        </tr>


       <tr valign="top" id="avans_condition_comment">
            <th scope="row">منطق شرطی</th>
            <td>
                <?php get_conditions_saved($avs_comment['condition']) ?>
            </td>
        </tr>

    </table>