<?php

use Avans\render;

$avs_lms = isset($data['score_settings']['course']) ? $data['score_settings']['course'] : []; 
?>
<table class="form-table">

        <h3 class="title">امتیاز مشاهده دوره ها</h3>

        <?php 
            echo render::get_switch(
                'فعال بودن امتیازدهی بازدید از صفحه دوره ها',
                'is_active_score_course',
                (isset($avs_lms['active']) && $avs_lms['active']) ? 'checked' : ''
            );

            echo render::get_score(
                'امتیاز به ازای بازدید از صفحه هر دوره',
                'value_score_view_course',
                isset($avs_lms['score']) ? $avs_lms['score'] : ''
            );

            echo render::get_delay(
                'delay_get_score_course',
                isset($avs_lms['delay']) ? $avs_lms['delay'] : ''
            );

            echo render::get_alert_txt(
                'text_toast_score_course',
                isset($avs_lms['text']) ? $avs_lms['text'] : ''
            );

            echo render::get_limit_score(
                'value_max_scorring_for_course',
                isset($avs_lms['limit']['value']) ? $avs_lms['limit']['value'] : '',
                'unit_max_scorring_for_course',
                isset($avs_lms['limit']['unit']) ? $avs_lms['limit']['unit'] : ''
            );

            echo render::get_expire_time(
                'value_expire_score_for_course',
                isset($avs_lms['expire']['value']) ? $avs_lms['expire']['value'] : '',
                'unit_expire_score_for_course',
                isset($avs_lms['expire']['unit']) ? $avs_lms['expire']['unit'] : ''
            );
            echo render::get_condition(
                'avans_condition_course',
                isset($avs_lms['condition']) ? $avs_lms['condition'] : null
            );
        ?>

</table>
<hr>
<table class="form-table">

        <h3 class="title">امتیاز ثبت نام در دوره ها</h3>

        <?php 
            echo render::get_switch(
                'فعال بودن امتیازدهی ثبت نام دوره ها',
                'is_active_score_enroll_course',
                (isset($avs_lms['enroll_course']['active']) && $avs_lms['enroll_course']['active']) ? 'checked' : ''
            );

            echo render::get_score(
                'امتیاز به ازای ثبت نام در دوره',
                'value_score_enroll_course',
                isset($avs_lms['enroll_course']['score']) ? $avs_lms['enroll_course']['score'] : ''
            );


            echo render::get_limit_score(
                'value_max_scorring_for_enroll_course',
                isset($avs_lms['enroll_course']['limit']['value']) ? $avs_lms['enroll_course']['limit']['value'] : '',
                'unit_max_scorring_for_enroll_course',
                isset($avs_lms['enroll_course']['limit']['unit']) ? $avs_lms['enroll_course']['limit']['unit'] : ''
            );

            echo render::get_expire_time(
                'value_expire_score_for_enroll_course',
                isset($avs_lms['enroll_course']['expire']['value']) ? $avs_lms['enroll_course']['expire']['value'] : '',
                'unit_expire_score_for_enroll_course',
                isset($avs_lms['enroll_course']['expire']['unit']) ? $avs_lms['enroll_course']['expire']['unit'] : ''
            );
            echo render::get_condition(
                'avans_condition_enroll_course',
                isset($avs_lms['enroll_course']['condition']) ? $avs_lms['enroll_course']['condition'] : null
            );
        ?>

</table>
<hr>
<table class="form-table">
        <h3 class="title">امتیاز تکمیل درس های دوره</h3>

        <?php 
            echo render::get_switch(
                'فعال بودن امتیازدهی تکمیل درس های دوره',
                'is_active_score_complete_lesson',
                (isset($avs_lms['complete_lesson']['active']) && $avs_lms['complete_lesson']['active']) ? 'checked' : ''
            );

            echo render::get_score(
                'امتیاز به ازای تکمیل هر درس',
                'value_score_complete_lesson',
                isset($avs_lms['complete_lesson']['score']) ? $avs_lms['complete_lesson']['score'] : ''
            );

            // echo render::get_alert_txt(
            //     'text_toast_score_complete_lesson',
            //     isset($avs_lms['complete_lesson']['text']) ? $avs_lms['complete_lesson']['text'] : ''
            // );

            echo render::get_limit_score(
                'value_max_scorring_for_complete_lesson',
                isset($avs_lms['complete_lesson']['limit']['value']) ? $avs_lms['complete_lesson']['limit']['value'] : '',
                'unit_max_scorring_for_complete_lesson',
                isset($avs_lms['complete_lesson']['limit']['unit']) ? $avs_lms['complete_lesson']['limit']['unit'] : ''
            );

            echo render::get_expire_time(
                'value_expire_score_for_complete_lesson',
                isset($avs_lms['complete_lesson']['expire']['value']) ? $avs_lms['complete_lesson']['expire']['value'] : '',
                'unit_expire_score_for_complete_lesson',
                isset($avs_lms['complete_lesson']['expire']['unit']) ? $avs_lms['complete_lesson']['expire']['unit'] : ''
            );

            echo render::get_condition(
                'avans_condition_complete_lesson',
                isset($avs_lms['complete_lesson']['condition']) ? $avs_lms['complete_lesson']['condition'] : null
            );
        ?>

    </table>
<hr>
<table class="form-table">

        <h3 class="title">امتیاز تکمیل دوره</h3>

         <?php 
            echo render::get_switch(
                'فعال بودن امتیازدهی تکمیل دوره',
                'is_active_score_complete_course',
                (isset($avs_lms['complete_course']['active']) && $avs_lms['complete_course']['active']) ? 'checked' : ''
            );

            echo render::get_score(
                'امتیاز به ازای تکمیل هر دوره',
                'value_score_complete_complete_course',
                isset($avs_lms['complete_course']['score']) ? $avs_lms['complete_course']['score'] : ''
            );

            // echo render::get_alert_txt(
            //     'text_toast_score_complete_course',
            //     isset($avs_lms['complete_course']['text']) ? $avs_lms['complete_course']['text'] : ''
            // );

            echo render::get_limit_score(
                'value_max_scorring_for_complete_course',
                isset($avs_lms['complete_course']['limit']['value']) ? $avs_lms['complete_course']['limit']['value'] : '',
                'unit_max_scorring_for_complete_course',
                isset($avs_lms['complete_course']['limit']['unit']) ? $avs_lms['complete_course']['limit']['unit'] : ''
            );

            echo render::get_expire_time(
                'value_expire_score_for_complete_course',
                isset($avs_lms['complete_course']['expire']['value']) ? $avs_lms['complete_course']['expire']['value'] : '',
                'unit_expire_score_for_complete_course',
                isset($avs_lms['complete_course']['expire']['unit']) ? $avs_lms['complete_course']['expire']['unit'] : ''
            );

            echo render::get_condition(
                'avans_condition_complete_course',
                isset($avs_lms['complete_course']['condition']) ? $avs_lms['complete_course']['condition'] : null
            );
        ?>

    </table>
<hr>
<table class="form-table">
    <h3 class="title">امتیاز آزمون های دوره</h3>
    <?php 
        echo render::get_switch(
            'فعال بودن امتیازدهی آزمون های دوره',
            'is_active_score_passed_test',
            (isset($avs_lms['passed_test']['active']) && $avs_lms['passed_test']['active']) ? 'checked' : ''
        );

        echo render::get_score(
            'امتیاز به ازای قبول شدن در آزمون',
            'value_score_passed_test',
            isset($avs_lms['passed_test']['score']) ? $avs_lms['passed_test']['score'] : ''
        );

        // echo render::get_alert_txt(
        //     'text_toast_score_passed_test',
        //     isset($avs_lms['passed_test']['text']) ? $avs_lms['passed_test']['text'] : ''
        // );

        echo render::get_limit_score(
            'value_max_scorring_for_passed_test',
            isset($avs_lms['passed_test']['limit']['value']) ? $avs_lms['passed_test']['limit']['value'] : '',
            'unit_max_scorring_for_passed_test',
            isset($avs_lms['passed_test']['limit']['unit']) ? $avs_lms['passed_test']['limit']['unit'] : ''
        );

        echo render::get_expire_time(
            'value_expire_score_for_passed_test',
            isset($avs_lms['passed_test']['expire']['value']) ? $avs_lms['passed_test']['expire']['value'] : '',
            'unit_expire_score_for_passed_test',
            isset($avs_lms['passed_test']['expire']['unit']) ? $avs_lms['passed_test']['expire']['unit'] : ''
        );

        echo render::get_condition(
            'avans_condition_passed_test',
            isset($avs_lms['passed_test']['condition']) ? $avs_lms['passed_test']['condition'] : null
        );
    ?>
</table>