<?php $avs_product = $data['score_settings']['product']; ?>
<table class="form-table">
        <h3 class="title">امتیاز محصولات</h3>
        <tr valign="top">
            <th scope="row">فعال بودن امتیازدهی محصولات</th>

            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_score_products" <?php echo $avs_product['active'] ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>             
            </td>
        </tr>

        <tr>
                <th scope="row">امتیاز به ازای مشاهده صفحه محصول</th>
                <td>
                    <input type="number" id="value_score_view_product" value="<?php echo isset($avs_product['score']) ? $avs_product['score'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 2 امتیاز</p>
                </td> 
        </tr>

        <tr>
                <th scope="row">تاخیر در امتیاز دهی</th>
                <td>
                    <input type="number" id="delay_get_score_product" value="<?php echo isset($avs_product['delay']) ? $avs_product['delay'] : '' ?>">
                    <label>بر حسب ثانیه</label>
                    <p><span class="avans-dot-fansy"></span>توضیحات : با این کار می توانید کاربران را تشویق کنید که مدت زمان بیشتری در صفحه بمانند و به بهبود سئو سایت کمک کنند</p>
                </td>
        </tr>

        <tr valign="top">
            <th scope="row">متن پیام اعلان</th>
            <td>
                <input class="avs-full-input" type="text" id="text_toast_score_product" placeholder="تبریک شما {score} امتیاز گرفتید!" value="<?php echo isset($avs_product['text']) ? $avs_product['text'] : ''  ?>">
           <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
            </td>
      
        </tr>


              <tr valign="top">
            <th scope="row">محدودیت امتیاز گیری</th>
            <td>
                <input type="number" id="value_max_scorring_for_products" value="<?php echo isset($avs_product['limit']['value']) ? $avs_product['limit']['value'] : '' ?>">
                <span>امتیاز در</span>
                <select id="unit_max_scorring_for_products">
                    <option value="day" <?php echo $avs_product['limit']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_product['limit']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_product['limit']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_product['limit']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
            </td>
        </tr>

        
        <tr valign="top">
            <th scope="row">تاریخ انقضا امتیاز</th>
            <td>
                <input type="number" id="value_expire_score_for_products" value="<?php echo isset($avs_product['expire']['value']) ? $avs_product['expire']['value'] : '' ?>">
                <select id="unit_expire_score_for_products">
                    <option value="day" <?php echo $avs_product['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_product['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_product['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_product['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
                <span>بعد از دریافت امتیاز</span>
            </td>
        </tr>

        <tr valign="top" id="avans_condition_product">
            <th scope="row">منطق شرطی</th>
            <td>
                <?php get_conditions_saved($avs_product['condition']) ?>
            </td>
        </tr>


    </table>