<div class="avans_update">
    <span class="icon dashicons dashicons-update"></span>
    <h1>رفتن به نسخه جدید</h1>
    <p class="description">شما تا کنون از نسخه قدیم آوانس استفاده می کردید ، برای استفاده از نسخه جدید باید عملیات آپدیت پایگاه داده را انجام دهید.</p>
    <p class="attention">نکات مهم : </p>
    <p class="confirm">1)حتما حتما قبل از به روز رسانی از پایگاه داده خود فایل پشتیبان تهیه کنید</p>
    <p class="confirm">2)لطفا چند دقیقه صبر کنید تا عملیات آپدیت با موفقیت انجام شود و از بستن این صفحه خودداری کنید.</p>
    <button class="button button-primary" id="start_avans_update">همین حالا به روز رسانی کن!</button>
    <div class="wrapper_next" style="display: none;">
        <div class="wrapper_loading" style="display: none;">
            <p class="loading"><img src="<?php echo AVANS_URI.'/assets/img/loading.gif' ?>">در حال به روز رسانی...</p>
            <p class="wait">لطفا چند لحظه منتظر بمانید تا مراحل زیر با موفقیت انجام شوند</p>
        </div>
        <div class="success_update_text"><img src="<?php echo AVANS_URI.'/assets/img/tik.png' ?>"><p>عملیات آپدیت با موفقیت انجام شد ؛ درحال رفتن به تنظیمات افزونه جدید</p></div>
        <div class="complete_steps">
            <p class="step1"><span>به روز رسانی تنظیمات</span></p>
            <p class="step2"><span>به روز رسانی متاهای کاربران</span></p>
            <p class="step3"><span>به روز رسانی متاهای برگه ها</span></p>
            <p class="step4"><span>به روز رسانی متاهای سفارشات</span></p>
            <p class="step5"><span>به روزرسانی متاهای جوایز</span></p>
            <p class="step6"><span>به روز رسانی جدول جوایز دریافت شده</span></p>
            <p class="step7"><span>به روز رسانی جدول گزارشات امتیاز</span></p>
        </div>
    </div>
</div>


<script>
    jQuery(document).ready(function($){
        var ajax_url = "<?php echo admin_url('admin-ajax.php'); ?>";

        $(document).on('click','#start_avans_update',function(e){
            e.preventDefault();
            $(this).prop('disabled',true);
            $(this).hide();
            $('.wrapper_next').show();
            $('.wrapper_loading').show();
            runStep1();
        });

        function runStep1(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_options_last_version',
                },
                success : function(response){
                    $('.complete_steps .step1').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep2();
                }
            });
        }


        function runStep2(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_users_meta_last_version',
                },
                success : function(response){
                    $('.complete_steps .step2').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep3();
                }
            });
        }

        function runStep3(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_pages_meta_last_version',
                },
                success : function(response){
                    $('.complete_steps .step3').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep4();
                }
            });
        }

        function runStep4(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_orders_meta_last_version',
                },
                success : function(response){
                    $('.complete_steps .step4').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep5();
                }
            });
        }

        function runStep5(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_gifts_meta_last_version',
                },
                success : function(response){
                    $('.complete_steps .step5').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep6();
                }
            });
        }

        function runStep6(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_gifts_db_last_version',
                },
                success : function(response){
                    $('.complete_steps .step6').append('<span class="dashicons dashicons-yes-alt"></span>');
                    runStep7();
                }
            });
        }

        function runStep7(){
            $.ajax({
                url : ajax_url,
                dataType : 'json',
                type : 'post',
                data : {
                    action : 'update_logs_db_last_version',
                },
                success : function(response){
                    $('.complete_steps .step7').append('<span class="dashicons dashicons-yes-alt"></span>');
                    $(".wrapper_loading").hide();
                    $(".success_update_text").show();
                    window.location = '<?php echo admin_url('admin.php?page=avans_plugin') ?>';
                }
            });
        }

    });
</script>
