<?php 

use Avans\data;
use Avans\func;

$giftmeta    = data::get_gift_meta($id);
$scoreForGet = isset($giftmeta['score_for_get_gift']) ? $giftmeta['score_for_get_gift'] : 0;
$type        = $giftmeta['avans_type_gift'];
// $shipping    = isset($giftmeta['get_shipping_info']) ? $giftmeta['get_shipping_info'] : '';
$user_id     = get_current_user_id();
?>

<div class="wrapper-single-gift">
    <div class="avs-header">
        <h3 class="title"><?php echo get_the_title($id); ?></h3>
        <div class="score">
            <?php echo $scoreForGet;  ?>
            <?php echo func::get_score_icon(20); ?>
        </div>
    </div>
    <div class="body">
        <div class="description"><?php echo get_the_content(null,false,$id); ?></div>
        <div class="request">
            <div class="remain"><?php echo data::get_remains_text_gift($user_id,$scoreForGet) ?></div>
            <?php if(data::is_permision_get_gift($user_id,$scoreForGet)): ?>
                <button 
                    class="get_gift_btn"
                    data-id="<?php echo $id; ?>" 
                    data-ajax="<?php echo admin_url('admin-ajax.php') ?>"
                >دریافت جایزه</button>
            <?php endif; ?>
        </div>
        <div class="result"></div>
    </div>
</div>