<?php

use Avans\data;

function avans_product_score_callback($atts = array())
{
    extract(shortcode_atts(array('before' => '','after'=> ''), $atts));
    ob_start(); 
    $user_id = get_current_user_id();
    $product_id = get_queried_object_id();

    global $product;

    if(!is_product()){
        return ob_get_clean();
    }

    $score =  data::get_single_product_score($user_id,$product_id);
    ?>
        <div class="avans_show_product_score" data-product="<?php echo $product_id ?>" data-ajax="<?php echo admin_url('admin-ajax.php'); ?>" style="display : <?php echo (int)$score > 0 ? 'flex' : 'none' ?>;">
            <div class="icon"><i class="avans-ic avs-icon-gem-solid"></i></div>
            <div class="fulltext">
                <span class="before"><?php echo $before ?></span>
                <span class="score"><?php echo (int)$score > 0 ? $score : '' ?></span>
                <span class="after"><?php echo $after ?></span>
            </div>
        </div>
    <?php
    return ob_get_clean();
}
add_shortcode('avans-product-score', 'avans_product_score_callback');
add_shortcode('score-single-product-text','avans_product_score_callback');