function playerScore(obj) {
  var vid;
  if (obj.type == "video") {
    vid = videojs(obj.player_id);
  } else {
    vid = document.getElementById(obj.player_id);
  }
  var intervalscore;
  var timecounter;
  var isstart = false;
  var startTime = 0;

  if (obj.type == "video") {
    vid.on("pause", function () {
      var isstart = false;
      clearInterval(intervalscore);
      timecounter = setInterval(() => {
        startTime++;
      }, 1000);
    });

    vid.on("play", function () {
      // console.log(123);
      if (startTime == 0) {
        startTime = new Date() / 1000;
      }
      clearInterval(timecounter);
      intervalscore = setInterval(add_score, 1000);
      isstart = true;
    });
  } else {
    vid.onpause = function () {
      var isstart = false;
      clearInterval(intervalscore);
      timecounter = setInterval(() => {
        startTime++;
      }, 1000);
    };

    vid.onplay = function () {
      if (startTime == 0) {
        startTime = new Date() / 1000;
      }
      clearInterval(timecounter);
      intervalscore = setInterval(add_score, 1000);
      isstart = true;
    };
  }

  function add_score() {
    var delay = parseInt(obj.delay);
    if (delay == 0) {
      delay = vid.duration - 5;
      if (obj.type == "video") {
        delay = vid.duration() - 5;
      }
    }
    var newtime = new Date() / 1000;
    var currentTime = vid.currentTime;
    if (obj.type == "video") {
      currentTime = vid.currentTime();
    }
    var duration_visit = newtime - startTime;
    // console.log(delay,currentTime,duration_visit)
    if (
      currentTime >= delay &&
      currentTime < delay + 1 &&
      duration_visit >= currentTime
    ) {
      clearInterval(intervalscore);
      jQuery.ajax({
        url: obj.ajx_url,
        dataType: "json",
        type: "post",
        data: {
          action: "avs_add_score_view_player",
          score: obj.score,
          object_id: obj.object_id,
          post_id: obj.post_id,
          player_id: obj.id,
          type: obj.type,
        },
        success: function (data) {
          if (data.success) {
            avansToast(obj.text);
          }
        },
      });
      return;
    }
  }
}
