<?php

use Avans\parts\badge;

function get_conditions_saved($data,$type = null)
{
    ?>  

    <div class="conditions"><?php  

    if (is_array($data) || is_object($data)) {
        foreach ($data as $con):

    ?>
        <div class="condition">
        
            <select>
                <option value="null">--انتخاب--</option>
                <option value="role" <?php echo $con['condition']=='role' ? ' selected' : '' ?> >نقش کاربر</option>
                <option value="level" <?php echo $con['condition']=='level' ? ' selected' : '' ?> >سطح کاربری</option>
                <option value="badge" <?php echo $con['condition']=='badge' ? ' selected' : '' ?> >نشان کاربر</option>
            </select>
            
            <select>
                <option value="==" <?php echo $con['operation']=='==' ? ' selected' : '' ?> >برابر</option>
                <option value="!=" <?php echo $con['operation']=='!=' ? ' selected' : '' ?> >مخالف</option>
            </select>

            <select class="values">
                <option value="null">--انتخاب--</option>
                <?php
                if ($con['condition'] == 'role') {
                    global $wp_roles;
                    $roles = apply_filters('editable_roles', $wp_roles->roles);
                    foreach ($roles as $index=>$rol) {
                        ?>
                        <option value="<?php echo $index ?>" <?php echo ($con['data']==$index) ? ' selected' : ''  ?> ><?php echo translate_user_role($rol['name']) ?></option>
                        <?php
                    }
                } 

                if($con['condition'] == 'level'){
                    $data = get_option('avans_plugin_setting', []);
                    foreach ((array)$data['avans_user_levels'] as $level) :
                    ?>
                        <option value="<?php echo $level['level'] ?>" <?php  echo ($con['data'] == $level['level']) ? ' selected' : ''   ?>><?php echo $level['level'] ?></option>
                    <?php
                    endforeach;
                }

                if($con['condition'] == 'badge'){
                    $badges = badge::get_badges();
                    foreach ((array) $badges as $badge) :
                    ?>
                        <option value="<?php echo $badge->ID ?>" <?php  echo ($con['data'] == $badge->ID) ? ' selected' : ''   ?>><?php echo get_the_title($badge->ID) ?></option>
                    <?php
                    endforeach;
                }

                ?>
            </select>
            
            <span><?php echo get_condition_between_text($type) ?></span>
            <input type="number" id="value_score_view_post" name="value_score_view_post" value="<?php echo $con['score'] ?>">
            <?php echo !isset($type) ? '<span>درصد</span>' : '' ?>
            <!-- <span class="dashicons dashicons-insert"></span> -->
            <span class="dashicons dashicons-remove"></span>
        </div>                            
    <?php
    endforeach;
    }
    ?> </div> 
    <a class="button add-condition" data-type="<?php echo isset($type) ? $type : '' ?>" >افزودن شرط</a> 
    <?php
}

function get_condition_between_text($type) {
    $between = "امتیاز برابر است با";
    if ($type == "ref") {
        $between = " سهم معرف برابر است با";
    }
    if ($type == "coupon") {
        $between = "تخفیف خریدار برابر است با";
    }
    return $between;
}