<?php

use Avans\sms_panels\ghasedak\Exceptions\ApiException;
use Avans\sms_panels\ghasedak\Exceptions\HttpException;
use Avans\sms_panels\ghasedak\GhasedakApi;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$api = new GhasedakApi($settings['api_'.$service]);

if (!empty($pattern)) {

    $vars_message = [];
    if(count($message) > 0){
        foreach($message as $msg){
            $vars_message[] = $msg;
        }
    }
    $vars_message = implode(',',$vars_message);

    try{
        $api->Verify(  
            $mobile,  // receptor
            1,              // 1 for text message and 2 for voice message 
            $pattern,  // name of the template which you've created in you account 
            $vars_message       // parameters (supporting up to 10 parameters) 
        );
    }catch(ApiException $e){
         $e->errorMessage();  
    }catch(HttpException $e){
         $e->errorMessage();  
    }
    

}else{


    try {

        $api->SendSimple(  
            $mobile, // receptor
            $message, // message
            $settings['sender_'.$service] // choose a line number from your account
        );  
        
    }catch(ApiException $e){
         $e->errorMessage();  
    }catch (HttpException $e) {
         $e->errorMessage();  
    }


}