<?php
    $select_product_for_gift = [];
    if(isset($data['select_product_for_gift'])):
        foreach( (array)$data['select_product_for_gift'] as $product){
            $product = wc_get_product($product);
            if(is_object($product)){
                if ($product->get_type() == 'variation') {
                    $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                    $prTitle= str_replace('</span>', '', $prTitle);
                    $item = [
                        'id' => $product->get_ID(),
                        'name' => $prTitle,
                    ];
                } else {
                    $item = [
                        'id' =>$product->get_ID(),
                        'name' => get_the_title($product->get_ID()),
                    ];
                }
                $select_product_for_gift[] = $item;
            }
        }
    endif;

    $limited_custom_product_for_copon = [];
    if(isset($data['limited_custom_product_for_copon'])):
        foreach( (array)$data['limited_custom_product_for_copon'] as $product){
            $product = wc_get_product($product);
            if(is_object($product)){
                if ($product->get_type() == 'variation') {
                    $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                    $prTitle= str_replace('</span>', '', $prTitle);
                    $item = [
                        'id' => $product->get_ID(),
                        'name' => $prTitle,
                    ];
                } else {
                    $item = [
                        'id' =>$product->get_ID(),
                        'name' => get_the_title($product->get_ID()),
                    ];
                }
                $limited_custom_product_for_copon[] = $item;
            }
        }
    endif;

    $exclude_custom_product_for_copon = [];
    if(isset($data['exclude_custom_product_for_copon'])):
        foreach( (array)$data['exclude_custom_product_for_copon'] as $product){
            $product = wc_get_product($product);
            if(is_object($product)){
                if ($product->get_type() == 'variation') {
                    $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                    $prTitle= str_replace('</span>', '', $prTitle);
                    $item = [
                        'id' => $product->get_ID(),
                        'name' => $prTitle,
                    ];
                } else {
                    $item = [
                        'id' =>$product->get_ID(),
                        'name' => get_the_title($product->get_ID()),
                    ];
                }
                $exclude_custom_product_for_copon[] = $item;
            }
        }
    endif;

    $limited_custom_category_for_copon = [];
    if(isset($data['limited_custom_category_for_copon'])):
        foreach( (array)$data['limited_custom_category_for_copon'] as $cat){
            $term_title = get_term($cat,'product_cat');
            $item = [
                'id' => $cat,
                'name' => $term_title->name,
            ];
            $limited_custom_category_for_copon[] = $item;
        }
    endif;

    $exclude_custom_category_for_copon = [];
    if(isset($data['exclude_custom_category_for_copon'])):
        foreach( (array)$data['exclude_custom_category_for_copon'] as $cat){
            $term_title = get_term($cat,'product_cat');
            $item = [
                'id' => $cat,
                'name' => $term_title->name,
            ];
            $exclude_custom_category_for_copon[] = $item;
        }
    endif;

    $data = [
        'ajax_url' => admin_url('admin-ajax.php'),
        'files' => isset($data['download_file_link_for_gift']) ? $data['download_file_link_for_gift'] : null,
        'select_product_for_gift' => $select_product_for_gift,
        'limited_custom_product_for_copon' => $limited_custom_product_for_copon,
        'limited_custom_category_for_copon' => $limited_custom_category_for_copon,
        'exclude_custom_category_for_copon' => $exclude_custom_category_for_copon,
        'exclude_custom_product_for_copon' => $exclude_custom_product_for_copon,
    ];
    wp_localize_script('avans_single_gift_localize_script','data',$data);
    wp_enqueue_script('avans_single_gift_localize_script');
    wp_enqueue_script('avans_select2');