<?php
    $select_product_for_gift = [];
    foreach ((array)$slice->product as $product) {
        $product = wc_get_product($product);
        if(is_object($product)){
            if ($product->get_type() == 'variation') {
                $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                $prTitle= str_replace('</span>', '', $prTitle);
                $item = [
                    'id' => $product->get_ID(),
                    'name' => $prTitle,
                ];
            }else{
                $item = [
                    'id' => $product->get_ID(),
                    'name' => get_the_title($product->get_ID()),
                ];
            }
            $select_product_for_gift[] = $item;
        }
    }
?>
<table class="form-table item" id="product-options">
    <tr valign="top">
        <th scope="row">انتخاب محصولات</th>
        <td>
        <label class="user">
            <select class="select_product_for_gift" data-avans="<?php echo htmlspecialchars(json_encode($select_product_for_gift), ENT_QUOTES, 'UTF-8') ?>" name="select_product_for_gift[]" data-placeholder="جستجو در بین محصولات..." multiple="multiple" ></select>
        </label>
        </td>
    </tr>

        <tr valign="top">
        <th scope="row">دریافت اطلاعات پستی از کاربر</th>
        <td>
            <input type="checkbox" class="avans_get_shipping_info" name="get_shipping_info" value="yes" <?php echo (isset($slice->shipping_info) && $slice->shipping_info == 'yes') ? 'checked' : ''; ?> >
            <label for="avans_get_shipping_info">فعال / غیر فعال</label>
        </td>
    </tr>

</table>