<?php

use Avans\data;

switch($type){
        case 'value_of_total_purchase_products': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>حجم خرید را مشخص کنید</label>
                <input type="number" class="value_of_total_purchase" value="<?php echo isset($data->total_purcahase) ? $data->total_purcahase : '' ?>"  >
                <span>بر حسب <?php echo data::get_payment_unit(); ?></span>
            </div>
        <?php
    break;
        case 'custom_product_purchased': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>محصول را مشخص کنید</label>
                <?php
                    if (isset($data->product_id)) {
                        $product = wc_get_product($data->product_id);
                        if ($product->get_type() == 'variation') {
                            $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                            $prTitle= str_replace('</span>', '', $prTitle);
                            $custom_product_purchased = [
                            'id' => $data->product_id,
                            'name' => $prTitle,
                        ];
                        } else {
                            $custom_product_purchased = [
                            'id' => $data->product_id,
                            'name' => get_the_title($data->product_id),
                        ];
                        }
                    }else{
                        $custom_product_purchased = [];
                    }
                ?>
                <select  class="custom_products" data-placeholder="جستجو در بین محصولات..." data-avans="<?php echo htmlspecialchars(json_encode($custom_product_purchased), ENT_QUOTES, 'UTF-8') ?>"></select>
            </div>
        <?php
    break;
        case 'total_order_up_to_custom_amount': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>حداقل مبلغ سفارش را مشخص کنید</label>
                <input type="number" class="value_of_total_order"  value="<?php echo isset($data->total_order) ? $data->total_order : '' ?>" >
                <span>بر حسب <?php echo data::get_payment_unit(); ?></span>
            </div>
        <?php
    break;
    case 'total_products_purchased':
        ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد محصول را وارد نمایید.</label>
                <input type="number" class="value_of_total_products"  value="<?php echo isset($data->count) ? $data->count : '' ?>" >
                <span>محصول</span>
            </div>
        <?php
    break;
    case 'total_comments_posted':
        ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد دیدگاه را وارد نمایید.</label>
                <input type="number" class="total_comments_posted"  value="<?php echo isset($data->count) ? $data->count : '' ?>" >
                <span>دیدگاه</span>
            </div>
        <?php
    break;
    case 'customer_commented_in_custom_page': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>محصول مد نظر را مشخص کنید</label>
                <?php 
                if (isset($data->product_id)) {
                    $product = wc_get_product($data->product_id);
                    if ($product->get_type() == 'variation') {
                        $prTitle= str_replace('<span class="description">', '', $product->get_formatted_name());
                        $prTitle= str_replace('</span>', '', $prTitle);
                        $custom_product_purchased = [
                            'id' => $data->product_id,
                            'name' => $prTitle,
                        ];
                    } else {
                        $custom_product_purchased = [
                            'id' => $data->product_id,
                            'name' => get_the_title($data->product_id),
                        ];
                    }
                }else{
                    $custom_product_purchased = [];
                }
                ?>
                <select  class="custom_products" data-placeholder="جستجو در بین محصولات..." data-avans="<?php echo htmlspecialchars(json_encode($custom_product_purchased), ENT_QUOTES, 'UTF-8') ?>" ></select>
            </div>
        <?php
    break;
    case 'custom_gform_submitted': 
        if(class_exists('RGFormsModel')):
        ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>فرم را از لیست زیر انتخاب نمایید.</label>
                <select  class="custom_gform" data-placeholder="جستجو در بین فرم های گرویتی فرم..." data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->form_id,'name'=>\Avans\func::get_gform_title($data->form_id) ]), ENT_QUOTES, 'UTF-8') ?>"  ></select>
            </div>
        <?php
        endif;
    break;
    case 'custom_gform_submitted_for_severaltimes': 
        if(class_exists('RGFormsModel')):
        ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>حداقل دفعات پر کردن فرم را مشخص کنید</label>
                <input type="number" class="min_count_fill_gform"   value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>فرم را از لیست زیر انتخاب نمایید.</label>
                <select  class="custom_gform" data-placeholder="جستجو در بین فرم های گرویتی فرم..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->form_id,'name'=>\Avans\func::get_gform_title($data->form_id) ]), ENT_QUOTES, 'UTF-8') ?>"    ></select>
            </div>
        <?php
        endif;
    break;
    case 'share_custom_post_with_a_number_of_people': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_all_post_types" data-placeholder="جستجو در بین مطالب..."  data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"    ></select>
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>حداقل تعداد اشتراک گذاری های این مطلب</label>
                <input type="number" class="min_count_share_custom_page"  value="<?php echo isset($data->count) ? $data->count : '' ?>" >
            </div>
        <?php
    break;
    case 'insert_a_comment_in_the_post': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_post" data-placeholder="جستجو در بین مطالب..." data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id) ]), ENT_QUOTES, 'UTF-8') ?>"  ></select>
            </div>
        <?php
    break;
    case 'insert_post_by_number': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>حداقل تعداد ارسال مطلب</label>
                <input type="number" class="min_count_insert_post"  value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
        <?php
    break;
    case 'view_custom_post_type_by_number': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>نوع مطلب مشاهده شده</label>
                <select  class="custom_post_type" >
                    <?php  $post_types = get_post_types(['public'=>true], 'objects');
                    foreach ($post_types as $post_type):?>
                        <option value="<?php echo $post_type->name ?>"  <?php echo (isset($data->post_type)  &&  $data->post_type == $post_type->name) ? 'selected' : '' ?> ><?php echo $post_type->labels->name ?></option>
                    <?php  endforeach; ?>
                </select>
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد مطلب مشاهده شده</label>
                <input type="number" class="count_view_post_type" value="<?php echo isset($data->count) ? $data->count : '' ?>" >
            </div>
        <?php
    break;
    case 'period_of_user_membership_time_to_custom_time': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>مدت زمان عضویت</label>
                <input type="number" class="count_period_user_membership" value="<?php echo isset($data->time) ? $data->time : '' ?>" >
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>واحد زمان</label>
                <select class="unit_period_user_membership">
                    <option value="day" <?php echo (isset($data->post_type)  &&  $data->post_type == 'day') ? 'selected' : '' ?>  >روز</option>
                    <option value="month"  <?php echo (isset($data->post_type)  &&  $data->post_type == 'month') ? 'selected' : '' ?>  >ماه</option>
                    <option value="year"  <?php echo (isset($data->post_type)  &&  $data->post_type == 'year') ? 'selected' : '' ?>   >سال</option>
                </select>
            </div>
        <?php   
    break;
    case 'view_video_by_number': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد ویدئوهای مشاهده شده</label>
                <input type="number" class="count_view_viedos"  value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
        <?php
    break;
    case 'view_videos_in_custom_page': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_all_post_types" data-placeholder="جستجو در بین مطالب..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    case 'view_custom_video_in_custom_page': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>ID ویدئو را وارد نمایید.</label>
                <input type="number" class="id_video"  value="<?php echo isset($data->video_id) ? $data->video_id : '' ?>" >
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_all_post_types" data-placeholder="جستجو در بین مطالب..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    case 'listen_to_podcasts_by_number': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد پادکست های شنیده شده</label>
                <input type="number" class="count_listen_podcasts"  value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
        <?php
    break;
    case 'listen_to_podcasts_custom_page': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_all_post_types" data-placeholder="جستجو در بین مطالب..." data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    case 'listen_to_custom_podcast_in_custom_page': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>ID پادکست را وارد نمایید.</label>
                <input type="number" class="id_podcast"   value="<?php echo isset($data->podcast_id) ? $data->podcast_id : '' ?>"  >
            </div>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب مطلب</label>
                <select  class="custom_all_post_types" data-placeholder="جستجو در بین مطالب..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    case 'register_new_users_with_ref_code_by_number': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>تعداد افراد معرفی شده</label>
                <input type="number" class="user_count_ref_register"  value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
        <?php
    break;
    case 'custom_avans_badge_getted': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب نشان</label>
                <select  class="custom_badge" data-placeholder="جستجو در بین نشان ها..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id) ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
    <?php
    break;
    case 'custom_avans_score_getted': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>میزان امتیاز را وارد نمایید.</label>
                <input type="number" class="custom_user_score"  value="<?php echo isset($data->count) ? $data->count : '' ?>"  >
            </div>
    <?php
    break;
    case 'custom_course_enrolled': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب دوره</label>
                <select  class="custom_course_select" data-placeholder="جستجو در بین دوره ها..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    case 'custom_course_completed': ?>
            <div class="wrapper_fileds condition_step_feilds">
                <label>اتتخاب دوره</label>
                <select  class="custom_course_select" data-placeholder="جستجو در بین دوره ها..."   data-avans="<?php echo htmlspecialchars(json_encode([ 'id'=>$data->post_id,'name'=>get_the_title($data->post_id).' ('.get_post_type($data->post_id).') ' ]), ENT_QUOTES, 'UTF-8') ?>"   ></select>
            </div>
        <?php
    break;
    
}