<div class="main">
<?php

use Avans\data;
use Avans\func;

include AVANS_PATH.'templates/admin/settings/refs-log/parts/main/header.php' ?>
    <div class="main">        
        <?php foreach((array)$logs['result'] as $log): 
            $ref = get_user_by('ID',$log->ref_id);  
            $user = get_user_by('ID', $log->user_id);
            ?>
            <div class="row">
                <div class="item id"><input type="checkbox" value="<?php echo $log->id ?>" data-id="<?php echo $log->id ?>"></div>
                <div class="item ref">
                    <div class="username"><?php echo $ref->user_login ?></div>
                    <div class="fullname"><?php echo $ref->display_name ?></div>
                </div>
                <div class="item user">
                    <div class="username"><?php echo $user->user_login ?></div>
                    <div class="fullname"><?php echo $user->display_name ?></div>  
                </div>
                <div class="item amount">
                    <?php echo number_format($log->amount) ?>
                    <div class="unit"><?php echo ($log->type == 'wc_wallet') ?  data::get_payment_unit() : 'امتیاز' ?></div>
                </div>
                <div class="item order">
                    <?php echo $log->order_id ?>
                    <a target="_blank" href="<?php echo get_edit_post_link($log->order_id) ?>">
                        <span class="dashicons dashicons-visibility"></span>
                    </a>
                </div>
                <div class="item status">
                    <?php echo ($log->status == 'approve') ? 'تایید شده' : 'در حال بررسی' ?>
                </div>
                <div class="item operations">
                    <?php if ($log->status == 'approve'): ?>
                            <button class="button_apply_ref_commision approved" data-ajax="<?php echo admin_url('admin-ajax.php'); ?>" data-avans="<?php echo htmlspecialchars(json_encode($log), ENT_QUOTES, 'UTF-8') ?>"  id="">
                            <span class="dashicons dashicons-yes-alt"></span>اعمال شده</button>
                    <?php else :?>
                            <button class="button_apply_ref_commision" data-ajax="<?php echo admin_url('admin-ajax.php'); ?>" data-avans="<?php echo htmlspecialchars(json_encode($log), ENT_QUOTES, 'UTF-8') ?>"  id="">
                            <span class="dashicons dashicons-yes-alt"></span>اعمال پورسانت</button>
                    <?php endif; ?>
                </div>
                <div class="item time"><?php  echo get_option('timezone_string') == 'Asia/Tehran' ? avans_date('Y/m/d h:i:s', strtotime($log->created_at), '', 'GMT') :  date('Y/m/d h:i:s' , strtotime($log->created_at)) ?></div>
            </div>
        <?php endforeach; ?>
    </div>
<?php include AVANS_PATH.'templates/admin/settings/refs-log/parts/main/footer.php' ?>
</div>

<div class="avs-footer">
    <?php $data = $logs;
    include_once AVANS_PATH.'templates/generals/pagination.php'; 
    ?>
</div>

