<?php
if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

$bgtitle = empty(AVANS_SETTINGS['score_bg_title_email_coupen']) ? '#009688' : AVANS_SETTINGS['score_bg_title_email_coupen'] ;
$bgBtnCallToAction = empty(AVANS_SETTINGS['score_bg_btn_email_coupen']) ? '#009688' : AVANS_SETTINGS['score_bg_btn_email_coupen'] ;
$titleEmail = empty(AVANS_SETTINGS['score_title_email_cuppen']) ? 'کد تخفیف خرید محصولات' : AVANS_SETTINGS['score_title_email_cuppen'] ;
$textBtnCallToAction = empty(AVANS_SETTINGS['score_email_cuppen_btn_text']) ? 'مشاهده محصولات' : AVANS_SETTINGS['score_email_cuppen_btn_text'] ;
$linkBtnCallToAction = empty(AVANS_SETTINGS['score_email_cuppen_btn_link']) ? get_site_url() : AVANS_SETTINGS['score_email_cuppen_btn_link'] ;
$textBeforeBtn = empty(AVANS_SETTINGS['score_email_text_before_btn']) ? '' : AVANS_SETTINGS['score_email_text_before_btn'] ;
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title><?php echo $titleEmail; ?></title>
</head>
<body class="body-email-score" style="background-color: #EEE;width:100%;height:100%;">
    <div class="container-email-score" style="font-family: tahoma;font-size: 100%;direction: rtl;border:1px solid #CCC;width:70%;margin:50px auto;background-color: #FFF;border-radius: 3px;-webkit-border-radius: 3px;-o-border-radius: 3px;-moz-border-radius: 3px;-ms-border-radius: 3px;">
        <div class="title-email-score" style="width:100%;border-bottom: 2px solid #CCC;text-align: center;font-size: 18px;padding: 20px 0;background-color: <?php echo $bgtitle; ?>;color: #fff;font-weight: 700;">کد تخفیف خرید محصولات</div>
        <div class="text-main-email-score" style="font-size: 9pt;padding: 20px;line-height: 150%;">
            <h4 class="hello-text-email-score" style="text-align: right;margin-bottom: 20px;color:#009;">{name} عزیز سلام</h4>
            <p>با تشکر از شما بابت خرید از سایت <span style="font-weight: bold">{site-name}</span> ؛ شما می توانید تا تاریخ <span style="font-weight: bold">{ex-date}</span> با استفاده از کد تخفیف زیر محصولات سایت را با <span style="font-weight: bold">{off-value}</span> درصد تخفیف خریداری نمایید.</p>
            <p>این کد یکبار مصرف بوده و تا تاریخ فوق معتبر می باشد.</p>
            <div class="bg-cuppen-code-email-score" style="display: table;margin: 20px auto;background: #eee;text-align: center;height: 50px;line-height: 50px;border-radius: 5px;border: 2px dashed #aaa;font-size: 21px;max-width: 220px;width: 100%;">{coupen-code}</div>
            <br>
            <p><?php echo $textBeforeBtn; ?></p>
            <br>
            <p><a href="<?php echo $linkBtnCallToAction; ?>" class="button-call-to-action" style="background: <?php echo $bgBtnCallToAction; ?>;display: table;margin: auto;padding: 17px;border-radius: 5px;color: #fff;height: 40px;line-height: 40px;width: 100%;text-align: center;max-width: 200px;text-decoration: none;font-weight: bold;"><?php echo $textBtnCallToAction; ?></a></p>
            <b>با تشکر</b>
        </div>
    </div>
</body>
</html>
<?php ?>
