<?php

use Avans\data;
use Avans\func;

function avans_referers_shortcode_callback()
{
    ob_start();
    if (get_current_user_id() == 0) {
        echo "<div class='avans-message'>برای مشاهده این بخش باید وارد شوید.</div>";
        return ob_get_clean();
    }
    ?>
    <div class="avans-wrapper-referers">

        <div class="row">
            <div class="code_col">
                <i class="avans-ic avs-icon-flow-branch"></i>
                <div class="label">کد معرفی یا بازاریابی شما</div>
                <div class="refcode" id="avans-ref-code-<?php echo rand(11,99) ?>"><?php echo Avans\user::get_ref_code(get_current_user_id()); ?></div>
            </div>

            <div class="share_col">
                <div class="label">لینک معرفی یا بازایابی شما</div>
                <div class="reflink">
                    <?php $settings = AVANS_SETTINGS['panel_settings']; ?>
                    <input class="avans-ref-link" id="<?php echo 'avans-reflink-'.rand(11,99) ?>" type="text" value="<?php echo Avans\user::get_ref_link(get_current_user_id(),get_queried_object_id(),$settings['link_ref']);?>">    
                </div>
                <div class="social">
                    <?php include_once AVANS_PATH.'templates/front/parts/social-icons.php' ?>
                </div>
            </div>

        </div>

        <!-- <canvas id="avansComissionChart" width="400" height="200"></canvas> -->

        <?php 
        
        $args = [];
        $args['where'] = true;
        $args['include']['user'] = get_current_user_id();

        // if (func::is_set($_GET['from'])) {
        //     $args['time']['from'] = func::convert_jalali_to_miladi($_GET['from']);
        // }
        // if (func::is_set($_GET['to'])) {
        //     $args['time']['to'] = func::convert_jalali_to_miladi($_GET['to']);
        // }
        // if (func::is_set($_GET['page'])) {
        //     $args['page'] = $_GET['page'];
        // }

        $logs = Avans\data::get_logs_refs($args);
            // var_dump($logs);
            // var_dump($logs['result']);
        ?>


        <div class="wrapper-logs-referers">
        
            <!-- <div class="header-referers-log">
                <ul id="avans-tab-marketing-invite">
                    <li class="item active" data-tab="marketing">کمسیون های بازاریابی</li>
                    <li class="item" data-tab="invite">کاربران دعوت شده شما</li>
                </ul>
            </div>
         -->
            <!-- <div class="tbl-commision">
            
                <div class="header-tbl-commisions-refs">
                    <div class="order_id">شماره سفارش</div>
                    <div class="total_order">مبلغ سفارش</div>
                    <div class="commision_val">سهم شما</div>
                    <div class="status">وضعیت</div>
                    <div class="created_at">تاریخ</div>
                </div>

                <div class="marketing main-tbl-commisions-refs">
                    <?php foreach($logs['result'] as $log): ?>
                        <div class="order_id"><?php echo $log->order_id ?></div>
                        <div class="total_order"><?php echo $log->amount ?></div>
                        <div class="commision_val">
                            <?php echo $log->amount ?>
                            <?php echo $log->type == 'wc_wallet' ? data::get_payment_unit()  : 'امتیاز' ?>
                        </div>
                        <div class="status"><?php echo $log->status == 'approve' ? 'تایید شده' : 'در حال بررسی' ?></div>
                        <div class="created_at">
                            <?php echo func::getDate($log->created_at); ?>
                        </div>
                    <?php endforeach; ?>
                </div>

            </div> -->

            <!-- <div class="tbl-invite" style="display: none;"> 
                <div class="header-tbl-commisions-refs">
                    <div class="order_id">مشخصات کاربر دعوت شده</div>
                    <div class="ord"></div>
                    <div class="created_at">تاریخ دعوت</div>
                </div>
            </div> -->

        </div>
        
    </div>
    <?php
    // $labels = [];
    // for($i=0;$i < 7;$i++){
    //     if(isset($logs['result'][$i]->created_at)){
    //         $labels[] = func::getDate($logs['result'][$i]->created_at,'date');
    //     }
    // }
    // $amounts = [];
    // for($i=0;$i < 7;$i++){
    //     $amounts[] = (int)$logs['result'][$i]->amount;
    // }
    // $data = [
    //     'labels' => $labels,
    //     'amounts' => $amounts,
    // ];
    // wp_localize_script('avans_config_chart_js','AVANS_CONFIG',$data);
    // wp_enqueue_script('avans_config_chart_js');
    // wp_enqueue_script('avans_chart');
    return ob_get_clean();
}
add_shortcode('avans-referers', 'avans_referers_shortcode_callback');
