<?php

use Avans\data;
use Symfony\Component\VarDumper\VarDumper;

function avans_post_rate_shortcode_callback(){
    $post_id = get_queried_object_id();
    $star = data::get_data_star_rate_post($post_id,get_current_user_id());
    ob_start();
    ?>
        <div class="avans_post_ratting_wrapper">
            <div class="avans_post_rater" itemprop="starRating" itemscope itemtype="https://schema.org/Rating"><meta itemprop="ratingValue" content="<?php echo $star->rate ?>"></div>
            <p class="avans_post_rate_description"><?php echo sprintf(__('امتیاز %s از %s رای','avans-plugin'),strval(number_format($star->rate,2)),$star->count) ?></p>
        </div>
     

        
    <?php
    if( !is_user_logged_in() && data::guest_is_post_rated($post_id) ){
        $star->use = true;
    }
    $data = [
        'ajax' => admin_url('admin-ajax.php'),
        'rate' => $star->rate,
        'use' => $star->use,
        'post_id' => $post_id,
    ];
    wp_localize_script('avans_localize_post_rate_script','avans_data_post_rate',$data);
    wp_enqueue_script('avans_localize_post_rate_script');
    return ob_get_clean();
}
add_shortcode('avans-post-rate','avans_post_rate_shortcode_callback');



add_action( 'wp_head', function(){
        $post_id = get_queried_object_id();
        $star = data::get_data_star_rate_post($post_id,get_current_user_id());
        if($post_id > 0 && is_single() && $star->rate > 0){
        ?>
            <script type="application/ld+json">
            {
                "@context": "https://schema.org/",
                "@type": "CreativeWorkSeries",
                "name": "<?php echo get_the_title($post_id) ?>",
                "aggregateRating": {
                    "@type": "AggregateRating",
                    "ratingValue": "<?php echo $star->rate; ?>",
                    "bestRating": "5",
                    "ratingCount": "<?php echo $star->count; ?>"
                }
            }
            </script>
        <?php
        }
    } );